.shadow-neumorph {
    box-shadow: 5px 5px 10px #0f0f0f, -5px -5px 10px #252525;
}

.shadow-sharp {
    box-shadow: 4px 4px 0px 0px rgba(255, 255, 255, 0.2);
}

.shadow-neon {
    box-shadow: 0 0 5px #fff, 0 0 10px #fff, 0 0 15px #fff, 0 0 20px #ff00de, 0 0 35px #ff00de, 0 0 40px #ff00de, 0 0 50px #ff00de, 0 0 75px #ff00de;
}

.shadow-retro {
    box-shadow: 3px 3px 0px 0px rgba(255, 255, 255, 0.75);
}

.rounded-blob {
    border-radius: 30% 70% 70% 30% / 30% 30% 70% 70%;
}

.clip-path-cyber {
    clip-path: polygon(0 10%, 30% 0, 100% 0, 100% 90%, 70% 100%, 0 100%);
}

@keyframes jello {
    11.1% {transform: none}
    22.2% {transform: skewX(-12.5deg) skewY(-12.5deg)}
    33.3% {transform: skewX(6.25deg) skewY(6.25deg)}
    44.4% {transform: skewX(-3.125deg) skewY(-3.125deg)}
    55.5% {transform: skewX(1.5625deg) skewY(1.5625deg)}
    66.6% {transform: skewX(-0.78125deg) skewY(-0.78125deg)}
    77.7% {transform: skewX(0.390625deg) skewY(0.390625deg)}
    88.8% {transform: skewX(-0.1953125deg) skewY(-0.1953125deg)}
    100% {transform: none}
}

.animate-jello {
    animation: jello 1s both;
}

@keyframes wobble {
    0% {transform: translateX(0%)}
    15% {transform: translateX(-25%) rotate(-5deg)}
    30% {transform: translateX(20%) rotate(3deg)}
    45% {transform: translateX(-15%) rotate(-3deg)}
    60% {transform: translateX(10%) rotate(2deg)}
    75% {transform: translateX(-5%) rotate(-1deg)}
    100% {transform: translateX(0%)}
}

.animate-wobble {
    animation: wobble 1s both;
}

@keyframes heartBeat {
    0% {transform: scale(1)}
    14% {transform: scale(1.3)}
    28% {transform: scale(1)}
    42% {transform: scale(1.3)}
    70% {transform: scale(1)}
}

.animate-heartBeat {
    animation: heartBeat 1.3s ease-in-out;
}

@keyframes swing {
    20% {transform: rotate(15deg)}
    40% {transform: rotate(-10deg)}
    60% {transform: rotate(5deg)}
    80% {transform: rotate(-5deg)}
    100% {transform: rotate(0deg)}
}

.animate-swing {
    transform-origin: top center;
    animation: swing 1s ease-in-out;
}

@keyframes tada {
    0% {transform: scale(1)}
    10%, 20% {transform: scale(0.9) rotate(-3deg)}
    30%, 50%, 70%, 90% {transform: scale(1.1) rotate(3deg)}
    40%, 60%, 80% {transform: scale(1.1) rotate(-3deg)}
    100% {transform: scale(1) rotate(0)}
}

.animate-tada {
    animation: tada 1s ease-in-out;
}